MX3 351 french unlocked model firmware corrupt error

Hi Everyone,

I am opening this thread to find a solution to upgrade 351 models. Otherwise We will never be able to upgrade anything it is a same for such a great phone. :)

Impossible for me and others 351 unlocked users to do any upgrade official firmware or leak. I have only succeed to do this upgrade: (3.5.3 to 3.6)

http://meizufans.eu/forum/thread-flyme-3-6-kitkat-4-4-official-update-from-meizu-france

If someone from the staff here could help to find a solution!

Thanks in advance.

Kind Regards.

Adam

Je te parle en français car tu as un modèle français. J’ai un modèle français j’ai la version 4.1.3. Tout fonctionne très bien. Pour passer à la version 4, tu dois passer par un firmware intermédiaire. Essaye la 3.7 ou la 3.8. Tu ne peux pas upgrader directement de la 3.6. Tiens moi au courant

Ok alors moi j’ai un soucis je comprends plus rien.

J’ai la 3.6, donc impossible d’upgrade à FlyMe 4 mais maintenant j’arrive même plus a upgrade à la 3.7 …

Est ce que je dois revenir à la 3.5 pour ensuite aller à la 3.7 pour enfin passer à flyme 4 ???

EDiT : après plusieurs essais, les seules choses que j’arrive à faire c’est :

  • Redescendre vers 3.5.3

  • Upgrade vers 3.6

C’est tout, pour le reste ça me mets firmware corrupted ou bien “System has been rooted” sans reussir à installer le firmware

Tu as essayé la 3.8 ? Pour moi c’est passé nickel.

Administrator

It’s the same with Czech devices. They are branded and so have a special firmware.

I’ve bough my MX3 in France like him. I haven’t got any problem to upgrade my firmware. When I decided to update to Flyme 4, I had to upgrade with an intermediate firmware. I used the Flyme 3.8. And then I was able to upgrade to Flyme 4.

Rastaman,

Tu as utilisé le 3.8 en fichier .bin ?

Je vais peut être tenter !

@‘LinKx’ said:

Rastaman,

Tu as utilisé le 3.8 en fichier .bin ?

Je vais peut être tenter !

Perso j’upgrade toujours avec des. bin et je n’ai jamais eu de soucis. [emoji6]

J’ai le même soucis j’étais en 3.6 et mis la version 3.7 seulement firmware corrupt et je ne peux plus démarrer… Quelle version je dois mettre dans la partition recovery pour que ça redémarre svp ?

Dans la partie recovery tu peux remettre la 3.6 ou bien la 3.5.3.

Certaines versions ne te laisse pas upgrade vers une autre version x ou y c’est assez bizarre…

Là moi j’ai du redescendre à 3.5.3, re upgrade a 3.6, là j’ai upgrade a 3.8 en .bin pour ensuite essayer de passer sur FlyMe 4, l’upgrade est en cours et pas d’erreurs pour le moment :)

EDIT : Upgraded to FlyMe 4.1.3 ! :)

So it is really a matter of what firmware can be upgraded FROM what firmware ( for some reasons some firmware are not compatible )

Exactement je viens de passer en 3.5.3 et ça fonctionne, dis moi si tu arrives à passer en 4 ! :)

Contributor

My French is slightly broken but I assume you manage to upgrade to 4 by going like this?
3.5.3 -> 3.8 -> 4.0?

I’m actually on 3.6 but how can I download 3.8 like you said ? I’ve international mx3

You can download all the firmwares from the forum.

@GreyGhost

I took the same way to upgrade my MX3.

@‘GreyGhost’ said:

My French is slightly broken but I assume you manage to upgrade to 4 by going like this?
3.5.3 -> 3.8 -> 4.0?

Yes I did !

Finally !

So the error Firmware corrupt came from an incompatible firmware probably

Looks like your connection to Meizufans was lost, please wait while we try to reconnect.